Bug 1011371 - cloud pinyin feature is missed in ibus
Summary: cloud pinyin feature is missed in ibus
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-24 07:37 UTC by fujiwara
Modified: 2016-07-19 10:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:26:03 UTC
Type: Bug


Attachments (Terms of Use)

Description fujiwara 2013-09-24 07:37:47 UTC
Now ibus-cloud-pinyin is available:

http://code.google.com/p/ibus-cloud-pinyin/

Actually I'm not sure if the cloud feature is useful for Chinese users so it's up to you to integrate the feature or will not fix.

Originally someone pointed out that ibus missed that feature.
Maybe it's an idea to release ibus-cloud-pinyin in Fedora while it provides sogou only and fcitx provides sogou, ime.qq.com, google, baidu.

I was also interested in the cloud for ja but it seems the protocol is closed in google.

Comment 1 Peng Wu 2013-09-25 04:11:41 UTC
Asked ibus-cloud-pinyin upstream to release a tarball.

http://code.google.com/p/ibus-cloud-pinyin/issues/detail?id=102

Comment 2 Peng Wu 2013-09-26 08:01:58 UTC
Today I tried to package ibus-cloud-pinyin, but got some vala errors.

After checking the commit log, it seems the upstream stop code activity for two years.
http://code.google.com/p/ibus-cloud-pinyin/source/list

Here are rpm spec and shell scripts when I am trying to package it, but failed.
http://pwu.fedorapeople.org/ibus-cloud-pinyin/

Comment 3 Peng Wu 2013-09-26 08:11:19 UTC
Maybe I can implement cloud input support in ibus-libpinyin.

But I have the following two concerns:
1. security, all user input will be sent to third-party websites;
2. dunno whether the websites allow us to use their services,
   I think their services are close-sourced;

Comment 4 Jaroslav Reznik 2015-03-03 16:55:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora End Of Life 2016-07-19 10:26:03 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.